Status: CLOSED Start date: 2023-05-23
Priority: Urgent Due date: 2023-05-26
Assignee: gooboob_ceprsodg % Done: 100%

Category: oo Estimated time: 0.00 hour
Target version:

Need_Info: - Found Version: 01.00.0095.C103
Resolution: FIXED Degrated: -

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-28

Test Type: User Experience Root cause: O0000O0Ofreeze000000OOODON
Description
Subtasks:
Bug#118199: 0 00 CO00O0DOODRMOCOOODOOOOODOO

CLOSED

History

#1 - 2023-05-18 20:02 - CD TEST-O O O

- Subject changed from IOVDEV-288900 O O O O VCIO O 00950 000 00EED OO ONOOONOOONOO0O0O0O0O0O0O0000000000000000
005-100 000 toOIOVDEV-288900 0 IOVDEV-289450 D O O OvCiOOoosO DO O OOEED OO ODOOOOOOOooo0ooooonooog

gboooooooooooos-1ooood

#2 - 2023-05-18 21:45-CD TPM-0O0 O O

L.000b0oogbzecco0 00O O0O0ODOOOO0ODOOOO0ws000o0ooooooooooooooooooooooboooooon

20000000000DOO000ODTCOOOOOOODOOOODOOOODOOOODOOOODOO

01-01 12:42:04.205 0 0 E DTC_Display: screen not ready(0), bl_sta(1), Ivi(20)
01-01 12:42:10.133 0 0 E DTC_Display: screen not ready(0), bl_sta(1), Ivi(20)
01-01 12:42:16.277 00 E DTC_Display: screen not ready(0), bl_sta(1), Ivi(20)
01-01 12:42:22.517 0 0 E DTC_Display: screen not ready(0), bl_sta(1), Ivi(20)
01-0112:42:28.454 0 0 E DTC_Display: screen not ready(0), bl_sta(1), IvI(20)
01-0112:42:34.3850 0 E DTC_Display: screen not ready(0), bl_sta(1), IvI(20)
01-01 12:42:40.645 0 0 E DTC_Display: screen not ready(0), bl_sta(1), Ivi(20)
01-01 12:42:46.901 0 0 E DTC_Display: screen not ready(0), bl_sta(1), Ivl(20)
01-01 12:42:53.145 0 0 E DTC_Display: screen not ready(0), bl_sta(1), IvI(20)

#3 - 2023-05-19 15:17 - CDTS-TEST O O

oooooobTe

#4 - 2023-05-19 15:18 - CDTS-TEST O O
- Severity changed from Major to Critical

#5 - 2023-05-19 15:19 - CDTS-TEST O O

- Category set to SYSTEM

- Status changed from New to NEED_INFO

- Assignee changed fromCDFW O 0O 0O toCDTEST-0 O O

#6 - 2023-05-22 14:20 - CDTS_TEST O O
- Status changed from NEED_INFO to ASSIGNED
- Assignee changed from CD TEST-O O O toCD TPM-0O O O

ooooo
Dooooooooooooboooooboooobooooobobooooooooo0oooOOooobooOoooboz2o00Ob0O00ObObOOODOO2o0o0000O
00000o10dlegd 000000000000Ca00log0 000000000000 logO

oobooooooooon

20000000
goooncooooboooooogoooooooooobooncoogpTecobobogooooooooooooooooooooDbo->Oo00000
O->00000000FSEMO0O0O0O2023051720:000 000000000

#7-2023-05-2217:27-CDTPM-0 0 O
- Assignee changed from CD TPM-O O O to CD SYSTEM-0O O

oo

gboooobooooooboooon

#8 - 2023-05-22 19:22 - CD SYSTEM-0O O

1.00000000000000000005-1719:44:03.5370 O O com.android.documentsui APPC O [
-->00000-00o0ooo-0oo0g

/logcat/000023_manual_00018_230517_194740.109:656:05-17 19:47:45.270 1499 1619 | am_pss :
[9656,10020,com.android.documentsui,108872704,102871040,780288,183529472,0,2,10]
/logcat/000023_manual_00024_230517_194920.10g:1010:05-17 19:49:34.073 1499 1619 | am_pss :
[9656,10020,com.android.documentsui,102824960,98639872,814080,175476736,0,2,9]
/logcat/000023_manual_00032_230517_194009.10g:1517:05-17 19:40:21.771 2503 2503 VV GameTypeUstils: judge isGame:com.android.documentsui
/logcat/000023_manual_00046_230517_194402.10g:471:05-17 19:44:03.533 1499 1738 D ActivityManager: freezing 3669 com.android.documentsui
/logcat/000023_manual_00046_230517_194402.10g:472:05-17 19:44:03.533 1499 1738 E ActivityManager: Unable to freeze binder for 3669

2025-07-03 2/13



com.android.documentsui

./logcat/000023_manual_00046_230517_194402.10g:475:05-17 19:44:03.535 1499 1738 D ActivityManager: froze 3669 com.android.documentsui

./logcat/000023_manual_00046_230517_194402.109:476:05-17 19:44:03.535 1499 1738 | am_freeze: [3669,com.android.documentsui]

./logcat/000023_manual_00046_230517_194402.10g:477:05-17 19:44:03.535 1499 1738 E ActivityManager: Unable to freeze binder for 3669
com.android.documentsui

./logcat/000023_manual_00046_230517_194402.10g:478:05-17 19:44:03.537 1499 1738 | ActivityManager: Killing 3669:com.android.documentsui/u0a20 (adj
940): Unable to freeze binder interface

/logcat/000023_manual_00046_230517_194402.109:479:05-17 19:44:03.537 1499 1738 | am_Kkill : [0,3669,com.android.documentsui,940,Unable to freeze
binder interface]

./logcat/000023_manual_00046_230517_194402.109:500:05-17 19:44:03.599 1499 29056 | WindowManager: WIN DEATH: Window{9b8c62c u0

com.android.documentsui/com.android.documentsui.files.FilesActivity}

#9 - 2023-05-23 14:32 - CD SYSTEM-0 O
- File O O .jpg added

1.0 000000 0 com.android.documentsuil] O 00 O O com.baidu.appsearchD 0 0 0 00000000
bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-05-17-20-07-46.txt:55104:05-17 19:39:38.690 1000 1499 1738 | am_freeze:
[14750,com.baidu.appsearch:bdservice_v1]

bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-05-17-20-07-46.txt:55105:05-17 19:39:38.696 1000 1499 1738 | am_Kkill :
[0,14750,com.baidu.appsearch:bdservice_v1,925,Unable to freeze

binder interface]

bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-05-17-20-07-46.txt:55106:05-17 19:39:38.735 1000 1499 18470 | am_proc_died:
[0,14750,com.baidu.appsearch:bdservice_]

2.0 000 117M0O O O bugreport-figure_0517200746.zip[]

FIOIm /procinenimo l:J
Memory type \::‘Ig;a Explanation
MemTotal 7896 The total amount of memory available for the android system_ This does not count memory used by kemel code or the modem side.
MemFree 120 This is the amount of yet completely not used memory.
Buffers 1 Memory in buffer cache. This memory can be freed by the kernel when needed.
Cached 1547 Memory in disk cache (memory copy of disk content in order to speed disk 10). This memory can be freed by the kernel when needed
SwapCached 51 M_emuw m_at once was swapqed out, is swappe_d back in but still also is in the swapfile (if memory is needed it doesn't need o be swapped out AGAIN because it is already in the swapfile. This saves 1/0). Not used in android
(since officially android doesn't use a swap partition).
Active 2976 Memory that has been used more recenfly and usually not reclaimed unless absolutely necessary.
Inactive 1728 Memory which has been less recently used. it is more eligible to be reclaimed for other purposes.
SwapTotal 4194 Total amount of physical swap memory. Not used in android (since officially android doesn't use a swap partition).
SwapFree 1847 " | Total amount of swap memory free. Not used in android (since officially android doesn't use a swap partition).
Dirty 73 Memory which is waiting to get written back to the disk.
Writeback Memory which is actively being written back to the disk.
AnonPages 3260 '~ | Non-file backed pages mapped into userspace page fables.
Mapped 967 Files which have been mmaped, such as libraries.
Shmem 30 Used shared memory (usually used by IPC)
Slab 438 In-kemel data structures cache.
SReclaimable 121 Part of Slab, that might be reclaimed, such as caches.
SUnreclaim 317 Part of Slab, that cannot be reclaimed on memory pressure.
PageTables 162 Amount of memory dedicated to the lowest level of page tables.
VmallocTotal | 26306 Total size of vmalloc memory area.
VmallocUsed 1557 | Amount of vmalloc area which is used.
VmallocChunk Largest contiguous block of vmalloc area which is free.
Free

Memory

Can he freed

#10 - 2023-05-23 14:38 - CD SYSTEM-0O O

- % Done changed from 0 to 10

#11-2023-05-2317:32-0 00 0 0 0O-RD3_CDTSO O

0000000000000000com.android.documentsuil 000000000000 O0log0 00000000000 1YMOO0O0000O0O0O
#12 - 2023-05-23 21:13 - CDTS-TEST O 0
- File 1684847488121.zip added

000 VINO HRYTTESTVINMGMA400

00000 vinOO60

#13 - 2023-05-23 21:14 - CDTS-TESTO O

OO00OO0O00_CDTsS OO wrote:
logd O O https://ofs.human-horizons.com/#/download/index/sSm19%2FemHK8%3D

0 0O 0O O O https://ofs.human-horizons.com/#/download/index/c6%2B%2FTqCbh474%3D

OO0O0000000no1.00.0095.c103
ooooooog/
ooooooooooon

#14 - 2023-05-23 21:46 - CDTS_TEST O O
- Fixed Version set to 2023-05-26

#15 - 2023-05-23 21:46 - CD SYSTEM-0O O
- File 19_42.log added
- File 19_43.log added
- File 19_44.log added
- File 19_45.log added

1.000log0 00017420 174501log0 00O OO0
gobooooboooo

#16 - 2023-05-24 09:59 - CDTS-TEST O 0
- Category changed from SYSTEM to O O

gooooo

#17 - 2023-05-24 17:11 - CD SYSTEM-O O
- File anr_2023-05-17-19-54-58-215 added

HiOO:

lL.o00oobooooboocoooocoooooooooboO0oobL,Obbo0oobOoOooo

2000000000000 0O0DOOOAPKOOO

/logcat/000023_manual_00018_230517_194740.log :656:05-17 19:47:45.270 1499 1619 | am_pss :

[9656,10020,com.android.documentsui,108872704,102871040,780288,183529472,0,2,10]
/logcat/000023_manual_00024_230517_194920.109:1010:05-17 19:49:34.073 1499 1619 | am_pss :

[9656,10020,com.android.documentsui,102824960,98639872,814080,175476736,0,2,9]
/logcat/000023_manual_00032_230517_194009.10g:1517:05-17 19:40:21.771 2503 2503 VV GameTypeUstils: judge isGame:com.android.documentsui
Jlogcat/000023_manual_00046_230517_194402.10g:471:05-17 19:44:03.533 1499 1738 D ActivityManager: freezing 3669 com.android.documentsui
./logcat/000023_manual_00046_230517_194402.109:472:05-17 19:44:03.533 1499 1738 E ActivityManager: Unable to freeze binder for 3669

com.android.documentsui

3.00system_server Danr0 000000 02023-05-1719:5458, 0 0 0 0 00 000D0O0OO0OOOOO0OO
00000000 anr_2023-05-17-19-54-58-215
00000 0Othread1640 00000
16400 000
"Binder:1499_1F" prio=5 tid=164 Blocked
| group="main" sCount=1 ucsCount=0 flags=1 obj=0x133c9ae0 self=0xb400007361cf6a90
| sysTid=32704 nice=-2 cgrp=default sched=0/0 handle=0x713ea3fch0
| state=S schedstat=( 18927190680 14770598272 89474 ) utm=1298 stm=593 core=6 HZ=100
| stack=0x713e948000-0x713e94a000 stackSize=991KB
| held mutexes=
at com.android.server.power.PowerManagerService.updateUidProcStateInternal(PowerManagerService.java:3751)
- waiting to lock &It;0x0c0384ee&gt; (a java.lang.Object) held by thread 36
at com.android.server.power.PowerManagerService$LocalService.updateUidProcState(PowerManagerService.java:6118)
at com.android.server.am.ActivityManagerService.enqueueUidChangeLocked (ActivityManagerService.java: 14555)
at com.android.server.am.OomAdjuster.updateUidsLSP(OomAdjuster.java:1450)
at com.android.server.am.OomAdjuster.updateOomAdjlnnerLSP(OomAdijuster.java:1050)
at com.android.server.am.OomAdjuster.performUpdateOomAdjLSP(OomAdjuster.java:736)
at com.android.server.am.OomAdjuster.updateOomAdjLSP(OomAdjuster.java:659)
at com.android.server.am.OomAdjuster.updateOomAdjLocked(OomAdjuster.java:641)
- locked &It;0x049322b3&gt; (a com.android.server.am.ActivityManagerProcLock)
at com.android.server.am.ActivityManagerService.updateOomAdjLocked (ActivityManagerService.java:14704)
at com.android.server.am.ActiveServices.realStartServiceLocked (ActiveServices.java:4061)
at com.android.server.am.ActiveServices.bringUpServiceLocked(ActiveServices.java:3946)
at com.android.server.am.ActiveServices.bindServiceLocked(ActiveServices.java:2878)
at com.android.server.am.ActivityManagerService.bindlIsolatedService (ActivityManagerService.java:12134)
- locked &lt;0x0ab8b4c8&gt; (a com.android.server.am.ActivityManagerService)
at android.app.|ActivityManager$Stub.onTransact(IActivityManager.java:2606)
at com.android.server.am.ActivityManagerService.onTransact(ActivityManagerService.java:2528)
at android.os.Binder.execTransactInternal(Binder.java:1179)

at android.os.Binder.execTransact(Binder.java:1143)

#18 - 2023-05-24 17:43 - CD SYSTEM-0O O
- Assignee changed from CD SYSTEM-0O 0 toCDFW O O O

#19 - 2023-05-2509:55-CDFw O O O

anr_2023-05-17-19-54-58-215

"main” prio=5 tid=1 Blocked | group="main" sCount=1 ucsCount=0 flags=1 obj=0x71866308 self=0xb400007361b%e7b0 | sysTid=1499 nice=-2 cgrp=default sched=0/0
handle=0x7531f2f4f8 | state=S schedstat=( 45270251427 41114985817 175996 ) utm=3285 stm=1241 core=6 HZ=100 | stack=0x7feeae7000-0x7feeae9000
stackSize=8188KB | held mutexes=

at com.android.server.am.ActivityManagerService.getMemoryTrimLevel (ActivityManagerService.java:8688)

- waiting to lock <0x0ab8b4c8> (a com.android.server.am.ActivityManagerService) held by thread 164

at com.android.server.job.JobConcurrencyManager.refreshSystemStateLocked (JobConcurrencyManager.java:493)

at com.android.server.job.JobConcurrencyManager.updateCounterConfigLocked(JobConcurrencyManager.java:503)

at com.android.server.job.JobConcurrencyManager.assignJobsToContextsinternalLocked(JobConcurrencyManager.java:561)

at com.android.server.job.JobConcurrencyManager.assignJobsToContextsLocked(JobConcurrencyManager.java:538)

at com.android.server.job.JobSchedulerService.maybeRunPendingJobsLocked(JobSchedulerService.java:2487)

at com.android.server.job.JobSchedulerService$JobHandler.handleMessage(JobSchedulerService.java:2071)

- locked <0x09cf8bb1> (a java.lang.Object)

at android.os.Handler.dispatchMessage(Handler.java:106)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at com.android.server.SystemServer.run(SystemServer.java:909)

at com.android.server.SystemServer.main(SystemServer.java:616)

2025-07-03 6/13



at java.lang.reflect. Method.invoke(Native method)
at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)

at com.android.internal.0s.Zygotelnit.main(Zygotelnit.java:987)

"Binder:1499_1F" prio=5 tid=164 Blocked | group="main" sCount=1 ucsCount=0 flags=1 obj=0x133c9ae0 self=0xb400007361cf6a90 | sysTid=32704 nice=-2 cgrp=default
sched=0/0 handle=0x713ea3fch0 | state=S schedstat=( 18927190680 14770598272 89474 ) utm=1298 stm=593 core=6 HZ=100 | stack=0x713e948000-0x713e94a000
stackSize=991KB | held mutexes=

at com.android.server.power.PowerManagerService.updateUidProcStatelnternal(PowerManagerService.java:3751)

- waiting to lock <0x0c0384ee> (a java.lang.Object) held by thread 36

at com.android.server.power.PowerManagerService$LocalService.updateUidProcState(PowerManagerService.java:6118)

at com.android.server.am.ActivityManagerService.enqueueUidChangeLocked (ActivityManagerService.java: 14555)

at com.android.server.am.OomAdjuster.updateUidsLSP(OomAdjuster.java:1450)

at com.android.server.am.OomAdjuster.updateOomAdjlnnerLSP(OomAdijuster.java:1050)

at com.android.server.am.OomAdjuster.performUpdateOomAdjLSP(OomAdjuster.java:736)

at com.android.server.am.OomAdjuster.updateOomAdjLSP(OomAdjuster.java:659)

at com.android.server.am.OomAdjuster.updateOomAdjLocked(OomAdjuster.java:641)

- locked <0x049322b3> (a com.android.server.am.ActivityManagerProcLock)

at com.android.server.am.ActivityManagerService.updateOomAdjLocked (ActivityManagerService.java:14704)

at com.android.server.am.ActiveServices.realStartServiceLocked (ActiveServices.java:4061)

at com.android.server.am.ActiveServices.bringUpServiceLocked(ActiveServices.java:3946)

at com.android.server.am.ActiveServices.bindServiceLocked(ActiveServices.java:2878)

at com.android.server.am.ActivityManagerService.bindlsolatedService (ActivityManagerService.java:12134)

- locked <0x0ab8b4c8> (a com.android.server.am.ActivityManagerService)

at android.app.|ActivityManager$Stub.onTransact(IActivityManager.java:2606)

at com.android.server.am.ActivityManagerService.onTransact(ActivityManagerService.java:2528)

at android.os.Binder.execTransactInternal(Binder.java:1179)

at android.os.Binder.execTransact(Binder.java:1143)

"PowerManagerService" prio=5 tid=36 Native | group="main" sCount=1 ucsCount=0 flags=1 obj=0x133c17e0 self=0xb400007361bf3a80 | sysTid=1636 nice=-10
cgrp=default sched=0/0 handle=0x714528fch0 | state=S schedstat=( 5155086887 9797201141 76153 ) utm=283 stm=231 core=1 HZ=100 |
stack=0x714518c000-0x714518e000 stackSize=1039KB | held mutexes=

native: #00 pc 00000000000a2808 /apex/com.android.runtime/lib64/bionic/libc.so (recvfrom+8)

native: #01 pc 00000000000640b0 /apex/com.android.runtime/lib64/bionic/libc.so (__system_property_set+760)

native: #02 pc 00000000000b0130 /system/lib64/libandroid_runtime.so (android::(anonymous namespace)::SystemProperties_set(_JNIEnv*, _jobject*, jstring*,
_jstring*)+308)

at android.os.SystemProperties.(Native method)

at android.os.SystemProperties.set(SystemProperties.java:233)

at android.app.PropertyInvalidatedCache.invalidateCacheLocked (PropertyInvalidatedCache.java:676)

at android.app.PropertylnvalidatedCache.invalidateCache(PropertyInvalidatedCache.java:646)

- locked <0x08b9a822> (a java.lang.Object)

at android.os.PowerManager.invalidatelsinteractiveCaches(PowerManager.java:2926)

at com.android.server.power.PowerManagerService$Injector.invalidatelsinteractiveCaches(PowerManagerService.java:918)

at com.android.server.power.PowerManagerService.setGlobalWakefulnessLocked (PowerManagerService.java:2029)

at com.android.server.power.PowerManagerService.setWakefulnessLocked (PowerManagerService.java:1970)

at com.android.server.power.PowerManagerService.dreamDisplayGroupNoUpdateLocked (PowerManagerService.java:1930)

at com.android.server.power.PowerManagerService.updateWakefulnessLocked (PowerManagerService.java:2858)

at com.android.server.power.PowerManagerService.updatePowerStateL ocked (PowerManagerService.java:2150)

at com.android.server.power.PowerManagerService.handleUserActivity Timeout(PowerManagerService.java:2764)

- locked <0x0c0384ee> (a java.lang.Object)

at com.android.server.power.PowerManagerService.access$3600(PowerManagerService.java:139)

at com.android.server.power.PowerManagerService$PowerManagerHandlerCallback.handleMessage(PowerManagerService.java:4811)

at android.os.Handler.dispatchMessage(Handler.java:102)

at android.os.Looper.loopOnce(Looper.java:201)
at android.os.Looper.loop(Looper.java:288)
at android.os.HandlerThread.run(HandlerThread.java:67)
at com.android.server.ServiceThread.run(ServiceThread.java:44)
tid=1 0 tid=164 block tid=164 O O tid=36 block
O0td=3¢0 00 000000000td=3600000000000000000O0000OO0O0O0O0OOblock 1640 10

m 0Og0o0og

0000000000000000com.androiddocumentsuil 000000000000 O0log0 00000000000 1IYTMOOO0O0O00O0OO

1L0OsystemO 000000000 DO@OOODOOOOOOODOO)
2000000000000 000O0OO0O0O0OO0O0OO0OOO0O0ODODOO0ODODOOOO0ODOOOO0OOnDO
3.0 O PropertylInvalidatedCache.javall invalidateCacheLockedd [0 0 O androidTO SO OO 00O OOOOOOOOOO

#20 - 2023-05-2509:57-CDFwW O O O
- Assignee changed fromCDFW O O 0O toCDFW O O

#21 - 2023-05-2509:57-CDFW O OO
- Assignee changed fromCDFW O 0 to CDFW O O O

#22 - 2023-05-2513.42-CDFwW O OO
- Assignee changed fromCDFW O 0 0 toCDFWO O O

#23 - 2023-05-2515:34-CDFwO O O

10o0ogo

0000000000000 D0OO00OOOPropertylnvalidatedCache.invalidateCacheLockedO 0 0 0 0120 130 000 0O O patchC OO OO O
This change corrects a latent defect related by the new bypass()
method in PropertylnvalidatedCache. The defect is not current issue

because there are no clients using the bypass() method yet.

OpatchDOOOOOODOOOOOODOOOOOODOOODOODODpatchD000O0O0O0O0O0O0O0O0O0O0O0O0OOOO
2000019046-19054000000000000000000system_serverJJanrf0 0000000000 OCODOOOOCanrDOOOOODOO

20000
100B0patchOOOOOCOOOODOO
0000000000 O0000000019046-190540000000

#24 - 2023-05-26 18:21 -CDFwO O O

105026000

10 O PowerManager.invalidatelsInteractiveCaches,[] android130 0 0 patchC O 0 0 O 0O O O O JenkinsO O
0 0 0 O O https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202615
2000000019046-190540 0000

gooooo
goooooboobobobobooooba
05-17Freezer: check freeze binder ioctl
Some old kernels don't have the necessary binder ioctls for freezer
(BINDER_FREEZE & BINDER_GET_FROZEN_INFO). In such a case, disable
freezer with a warning log. 19:47:45.212 1000 1499 1738 D ActivityManager: freezing 24540 com.android.permissioncontroller
05-17 19:47:45.212 1000 1499 1738 E ActivityManager: Unable to freeze binder for 24540 com.android.permissioncontroller
01-0112:44:54.141 root 0 O binder :1499:1738 ioctl 400c620e 7138afd5d8 returned -22
01-0112:44:54.144 root 0 01 binder :1499:1738 ioctl c00c620f 7138afd5b8 returned -22
05-17 19:47:45.214 1000 1499 1738 D ActivityManager: froze 24540 com.android.permissioncontroller
05-17 19:47:45.215 1000 1499 1738 E ActivityManager: Unable to freeze binder for 24540 com.android.permissioncontroller
05-17 19:47:45.224 1000 1499 1738 | ActivityManager: Killing 24540:com.android.permissioncontroller/u0ad0 (adj 975): Unable to freeze binder interface
05-17 19:47:51.829 1000 1499 1738 D ActivityManager: freezing 5416 com.qualcomm.qti.qccauthmgr
05-17 19:47:51.831 1000 1499 1738 E ActivityManager: Unable to freeze binder for 5416 com.qualcomm.qti.qccauthmgr
01-0112:45:00.778 root 0 01 binder :1499:1738 ioctl 400c620e 7138afd5d8 returned -22
05-17 19:47:51.833 1000 1499 1738 D ActivityManager: froze 5416 com.qualcomm.qti.gccauthmgr
01-0112:45:00.782 root 0 01 binder :1499:1738 ioctl c00c620f 7138afd5b8 returned -22
05-17 19:47:51.833 1000 1499 1738 E ActivityManager: Unable to freeze binder for 5416 com.qualcomm.qti.qccauthmgr
05-17 19:47:51.837 1000 1499 1738 | ActivityManager: Killing 5416:com.qualcomm.gti.qccauthmgr/u0a83 (adj 975): Unable to freeze binder interface
01-0112:45:09.020 root 0 01 binder :1499:1738 ioctl 400c620e 7138afd5d8 returned -22

O000O0O00OCfreere00 00000 0O0OKNDOOODOOOfreeze 0000 OcheckO OO OO O freezed O O patchd
00000000 000419157+000000freece0 00 0C0O0ODOOCO0ODOO
O0000freezed patchO O O OO

Freezer: check freeze binder ioctl

Some old kernels don't have the necessary binder ioctls for freezer

(BINDER_FREEZE & BINDER_GET_FROZEN_INFO). In such a case, disable

freezer with a warning log.

O0000OOpatchOOD0OO0ODOOOfreezeI 000000

0 O PowerManager.invalidatelsInteractiveCachesC) O 0 O O O O O SystemPropertiesset0d 0 0 0 0 000000000
O0000OOfreeze0000O0ODOOODODODODODO SystemPropertiesT O O O O O O O property servicell O 0 O O O O setd property workspaced 0 0 0 0 0 O
oo

O OpropertyserviceD initD 0 000 000000000000 00O00O00000000O00O00O00O0O0000O000O000,000 Ofreeze00O0
goooboobooboobogoo

20000

10 O freezeO patchO O

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202849

20000monkey0 OO OO0OOOOOOOODO

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202848

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/202856
3WO300000000knkinOO0O0ODOOOOOOOODODOO

#25 - 2023-05-27 14:01-CDFwO O O

105027000
03000000000 Jenkins
http://10.0.76.24:8080/job/VerifyBuild_for 10T _6490/4021

OlenkinsD O OO O3000000
10

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202615
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202849
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202848
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/202856
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/4021
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202615

0000000000000 0 PowerManager.invalidatelsinteractiveCachesD0 OO0 00000 O00ODO
05-24 17:09:24.451 1063 1223 | DreamManagerService: Entering dreamland.
05-2417:09:24.452 1063 1223 | PowerManagerService: Dreaming...
05-2417:09:29.667 1063 2514 | DreamManagerService: Gently waking up from dream.
05-2417:09:29.671 1063 1177 | DreamManagerService: Performing gentle wake from dream.

20

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202848

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/202856
O0OmonkeyD OO O0DODOO0D0ODOOODOOOODOO
monkeyD OO0 O00OO0OODO0O

E GameMode_ActivityMonitoringService: [Perf] is not support Performance or in monkey test.

O0O0OmonkeyD OO OOOODOOO
| thunderperf: Maybe need boostperf for current app!

| ThunderBoostPerfService: Disable downscaling

30
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202849
O000OOfreeze0patch0 D000 0000000000000 0O0O0O00OOO0OCOOOOfreeze00000000OOOOODO
1067 1195 W ActivityManager: Stopping service due to app idle: u0a52 -11m25s719ms com.kuaishou.nebula/com.kwai.chat.kwailink.service. NewKwa

1067 1705 D ActivityManager: freezing 9359 com.qualcomm.qti.gms.service.trustzoneaccess

1067 1705 E ActivityManager: Unable to freeze binder for 9359 com.qualcomm.qti.gms.service.trustzoneaccess
1067 1705 D ActivityManager: froze 9359 com.qualcomm.qti.gms.service.trustzoneaccess

1067 1705 | am_freeze: [9359,com.qualcomm.qti.gms.service.trustzoneaccess]

1067 1705 E ActivityManager: Unable to freeze binder for 9359 com.qualcomm.qti.gms.service.trustzoneaccess

1067 1705 | ActivityManager: Killing 9359:com.qualcomm.qti.qms.service.trustzoneaccess/u0a58 (adj 945): Unable to freeze binder interface

OOfreeze0patch0 00 0000000000000 000000000O0OOfreeze0000000OO0O0ODOOODOODODOO

goosxoooooooooooooooobooobooooboooobooDboOoon

20000

1000000000000

#26 - 2023-05-27 18:12 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
202856 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wujun.wang@thundersoft.com
m/apps/GameMode -dev

AF:GameMode: prohibit game performanceCheck monkey test to prohibit game performance. TC-RID: 1201-0204803IssuelD: TS-R-BUG-118072Change-1d:
1c6f4d493ba8a89e56e0af45ab89b6f03328beb17

#27 - 2023-05-27 18:12 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

202849 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | wujun.wang@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202848
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/202856
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202849

-dev

FW:SystemOptimization: check freeze binder ioctlFreezer: check freeze binder ioctiSome old kernels don't have the necessary binder ioctls for
freezer(BINDER_FREEZE & BINDER_GET_FROZEN_INFO). In such a case, disablefreezer with a warning log. TC-RID: 1201-0205101IssuelD:
TS-R-BUG-118072Change-1d: 1553201e04c7b92e7492b83845da8f35f3ealedad

#28 - 2023-05-27 18:13 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

202615

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

FW:SystemOptimization: PropertylnvalidatedCacheThis change corrects a latent defect related by the new bypass()method in PropertylnvalidatedCache. The
defect is not current issuebecause there are no clients using the bypass() method yet. TC-RID: 1201-02051011ssuelD: TS-R-BUG-118072Change-1d:
laecf55b8afd4db7e0fe9dca22b9577ebc220c0526

#29 - 2023-05-27 18:13 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

202848

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: prohibit game performanceCheck monkey test to prohibit game performance. TC-RID: 1201-0204803IssuelD: TS-R-BUG-118072Change-Id:
111bc923245dfaf7ced6644179523ee12d3da2237

#30 - 2023-05-27 18:19-CD FwO O O

- Assignee changed fromCDFWO OO toO0 O OO OO _CDTS OO

- Resolution changed from -- to FIXED

- Fixed Version changed from 2023-05-26 to 2023-05-28

-Rootcausesetto 0 OO0 00O

freeze0 0 0000000000000 OOOOOODOOODOOSystemPropertiessetd 0000000000000 OO0OOO

goooo

0 O google patchC) O O O freezed 0 0 0 0 O Dandroid130 O patchD 0 000000000000 O000O0O0O

#31 - 2023-05-31 09:49 - CDTS-TEST 0 J

- Assignee changedfrom0 0 0000 _CDTS OO toCDFwO OO

2025-07-03
ooooooo

#32 - 2023-05-3110:30-CDFWO O O
- Status changed from ASSIGNED to RESOLVED
- Assignee changed fromCDFWO OO toO0 O OO OO _CDTS OO

goooooo
goooOooooooooooooobooooboooooog
goooo

0000d0 000000000000 0000o

#33-2023-06-0517:44-0 00000 _CDTS OO

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0107.C1040 00 0200 00 O

#34 - 2023-06-06 17:27 - SZTS_TEST O O

0o01.00.0108.Clo40 000200000

#35 - 2023-06-13 19:53 - SZTS_TEST O O

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C1040 0 0 0200 0 O O

#36-2023-06-1416:37-0 00000 _CDTS OO

user.01.00.0110.C1040 6/130 000 020000 O

#37 - 2023-06-15 14:50 - SZTS_TEST O O

O FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C1050 0 0 6.150 D 0200 0 O O

#38 - 2023-06-16 13:52 - SZTS_TEST O O

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105.2023061800360] 0 200 0 0 O O

#39 - 2023-06-19 15:02 - SZTS_TEST O O

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105.202306180036 0 00 200 0 O O

#40 - 2023-06-20 13:49 - SZTS_TEST O O

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105.202306200207 0 0 0 0 200 O O O
#41 - 2023-06-21 14:32 - SZTS_TEST O O

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0112.C1050 0 200 0 O O

#42 - 2023-06-25 13:08 - SZTS_TEST O O

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105.202306250045 0 0 0 0 200 0 O O

#43-2023-06-2618:23-0 00 000 _CDTS OO
- Status changed from RESOLVED to VERIFIED

113release] 0 00 0200 O O
goooooooooooooooon

#44 -2023-06-2618:23-0 00000 _CDTS OO
- Status changed from VERIFIED to CLOSED

Files

00 .jpg 161 KB 2023-05-23 CDSYSTEM-O O
1684847488121.zip 10.9 MB 2023-05-23 CDTS-TESTO O
19_42.log 277KB 2023-05-23 CDSYSTEM-O O
19_43.log 755 KB 2023-05-23 CDSYSTEM-O O
19_44.log 880 KB 2023-05-23 CDSYSTEM-O O
19_45.log 316 KB 2023-05-23 CDSYSTEM-0O O
anr_2023-05-17-19-54-58-215 822 KB 2023-05-24 CDSYSTEM-O O
